# Flutter Example: Flutter analysis using the k-method
#                  Refined set of reduced frequencies
#
# File needed: aeroelastic.bin from aeroelastic.m
#
# ----------------------------------------------------------------

  fid  = fopen("flutter_k2.res", "wt");

# Data

  parameters

  kred = 0.5 : 0.05 : 1.0;   % Reduced frequencies

# Load aeroelastic component

  load aeroelastic.bin

# Flutter analysis

  wing = mfs_flutter(wing, kred, rho, "k");
  save -binary flutter_k2.bin wing

  mfs_print(fid, wing, "flutter", "curves");

  fclose(fid);
